import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ReportGroups, ReportsByGroupId } from './Interfaces';
import { Subscription } from 'rxjs';
import { ReportsService } from './reports.service';
import * as i0 from "@angular/core";
export declare class ReportsComponent implements OnInit, OnDestroy {
    private reportService;
    reportsGroups: ReportGroups[];
    urlReportGroups: any;
    reportGroupByIdUrl: any;
    reportsByGroupId: ReportsByGroupId[];
    $subs: Subscription[];
    onViewClicked: EventEmitter<any>;
    breakpoint: number;
    constructor(reportService: ReportsService);
    ngOnInit(): void;
    loadGroups(): void;
    listReportsByGroupId(groupId: number): void;
    onTabChanged(event: any): void;
    viewReportFilterDetails(report: any): void;
    onResize(event: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReportsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ReportsComponent, "lib-reports-groups", never, { "urlReportGroups": "urlReportGroups"; "reportGroupByIdUrl": "reportGroupByIdUrl"; }, { "onViewClicked": "onViewClicked"; }, never, never>;
}
